View Issue Details

IDCategoryLast Update
0008132bugs2020-07-20 16:48
ReportergcamargoAssigned Topaul 
Reproducibilityalways 
Status closedResolutionno change required 
PlatformFedora 32OSLinuxOS Version
Product Version5.12 
Fixed in Version 
Summary0008132: plugins GUI do not load
DescriptionI have installed Ardour5.12 on my Fedora 32 computer. I can't get any of the plugins to edit with GUI. It always opens the generic controls to edit the plugin parameters.

I am installing Ardour using the package manager. I also installed Ardour 6 from source, but the same thing happens.

TagsNo tags attached.

Activities

MMP404

2020-05-22 14:55

reporter   ~0024226

What GUI do you see with x42-comp plugin, in 5.12? in 6.0x? What revision of 6.0?

gcamargo

2020-05-22 17:14

reporter  

ardour512_x42comp.png (44,846 bytes)
ardour512_x42comp.png (44,846 bytes)
ardour6_x42_comp.png (40,934 bytes)
ardour6_x42_comp.png (40,934 bytes)

gcamargo

2020-05-22 17:14

reporter   ~0024227

x42-comp in mono crashes my ardour 5.12 if I try to edit it. The stereo version looks like a nice GUI on ardour 5.12 (attached), but looks like the generic version on ardour 6.


The revision of Ardour 6.0 is: Ardour 6.0.rc2.7

MMP404

2020-05-22 22:21

reporter   ~0024231

I can't reproduce on 5.12 or 6.0.rc2.11. I tried on audio track and on MIDI track. No errors in log - No crash.

Did you see any warnings or errors in the log window?
Maybe you can see a message if you start 6.0.x build in debug mode. Open a command shell window in the sub-directory gtk2_ardour, under ardour directory where you built the source.
This command will start up with debug messages from the plugin manager.

./ardev -D pluginmanager

If you type ./ardev --help, you can see other debug startup options.

A crash often leaves no clues, and requires capturing a dump file.
See the instructions in the developer section of Ardour website.
I do not believe any 5.12 version installed from distribution repository will be supported.
Only source versions and versions installed directly from Ardour website download.

gcamargo

2020-05-23 00:25

reporter   ~0024232

Thanks. This is just so weird. I'm not sure if I didn't install a required library or something. Anyway, I looked into the log messages, and couldn't find anything that indicates the GUI issue. Some of the errors I got look like this:

```
lilv_plugin_load_ports_if_necessary(): error: Plugin <http://ll-plugins.nongnu.org/lv2/math-function-tan-ctrl#0>
port symbol `(null)' is invalid
error: failed to expand CURIE `foaf:name'
error: /usr/lib64/lv2/newtonator.lv2/newt_lv2_instr.ttl:15:31: expected `]', not `;'
lilv_world_load_file(): error: Error loading file `file:///usr/lib64/lv2/newtonator.lv2/newt_lv2_instr.ttl'
```

I'm not sure whether those errors actually mean anything meaningful for the GUI not showing up.

Is there any chance that this error is caused by either GNOME 3.36 or Fedora 32?

x42

2020-05-23 15:46

administrator   ~0024235

The log messages are unrelated. They're caused by invalid meta-data of some plugins (here ll-plugins and newtonator).

Check Arodur Menu > Help > About --> Config , If there is

LV2 UI embedding: True


or if it's False.

Ardour uses libsuil to show embed plugin GUIs, maybe it was not installed when you compiled Ardour?
Perhaps try a https://nightly.ardour.org/ (demo is fine)

gcamargo

2020-05-23 17:08

reporter   ~0024236

LV2 UI embedding was False for Ardour6 and True for Ardour5.12.

I installed suil (suil-0.10.6-2.fc32.x86_64), and reinstalled Ardour 5.12. Now, when I try to open the GUI of a plugin, the log file says: [ERROR]: failed to instantiate LV2 GUI. I wonder if this is in anyway related to this post from last year (https://github.com/rncbc/drumkv1/issues/27).

For Ardour 6, I recompiled it after installing the suil library. I noticed that in the ./waf configure output, LV2 UI embedding is True. I also noticed that ardour didn't find lv2 >= 1.17.2. Now the flag LV2 UI embedding = True in help->about->config. Unfortunately, now I get the same error as in Ardour 5.12 (2020-05-23T13:03:48 [ERROR]: failed to instantiate LV2 GUI).

Downloaded the nightly build (demo) and ran the installer. Same error: failed to instantiate LV2 GUI.

x42

2020-05-23 20:06

administrator   ~0024237

> Downloaded the nightly build (demo) and ran the installer. Same error: failed to instantiate LV2 GUI.

OK. In that case the issue is likely with the plugin. missing libs perhaps?

gcamargo

2020-05-23 20:09

reporter   ~0024238

Maybe, but no idea which libraries I might be missing. The plugins' GUI seem to work fine outside of ardour. For instance, I can see all the GUIs of calf plugins within calf, but not inside ardour. Do you have any ideas of which libraries I should look for?

MMP404

2020-05-24 14:02

reporter   ~0024239

I first responded to your issue because it reminded me of an question I ( user MMP303 ) posted in the forum, titled "Avldrum LV2 plugin installation problems".
Since my issue effected both 5.12 and 6.0.rc, I felt it may be a system-wide configuration problem, and hesitated to report it as a Ardour bug.
If you read that post, you may consider cautiously reviewing the configuration of your system openGL libraries and video drivers, to see that they are up to date. This solved my problem, but required me to first do some learning about my specific hardware and display software "stack" - openGL, etc. I also recall that I had to resolve some broken package dependencies during these updates, so proceed at your own peril. As far as discovering what libraries an installed LV2 instrument package depend on, a decent package manager GUI should provide this information. I don't know about your RedHat situation - rpm or flatpak?

MMP404

2020-05-24 14:09

reporter   ~0024240

I forgot to mention - when you execute an instrument as "LV2 plugin", I believe you are referring to the instrument library being "plugged in" or embedded within a host application.
Many instruments (Calf, Yoshimi, Phasex, etc ) also have a "stand-alone" executable version, which are independent executables.
I don't think those use LV2, and may be separate install packages.

gcamargo

2020-05-24 16:48

reporter   ~0024242

Thanks a lot for your comments. I used rpm to install Ardour 5.12 and dependencies. I agree, it seems like the issue might be related to either libraries or some system-wide configuration issue. I've found that, at least after installing libsuil, some plugins do work, like Invada plugins. So, it's probably not an Ardour issue. I'll take a look at the dependencies and the graphics driver.

anonymous

2020-07-20 16:48

viewer   ~0024773

Issue has been closed automatically, by Trigger Close Plugin.
Feel free to re-open with additional information if you think the issue is not resolved.

Issue History

Date Modified Username Field Change
2020-05-21 16:48 gcamargo New Issue
2020-05-22 14:55 MMP404 Note Added: 0024226
2020-05-22 17:14 gcamargo File Added: ardour512_x42comp.png
2020-05-22 17:14 gcamargo File Added: ardour6_x42_comp.png
2020-05-22 17:14 gcamargo Note Added: 0024227
2020-05-22 22:21 MMP404 Note Added: 0024231
2020-05-23 00:25 gcamargo Note Added: 0024232
2020-05-23 15:46 x42 Note Added: 0024235
2020-05-23 15:47 x42 Status new => feedback
2020-05-23 17:08 gcamargo Note Added: 0024236
2020-05-23 17:08 gcamargo Status feedback => new
2020-05-23 20:06 x42 Note Added: 0024237
2020-05-23 20:09 gcamargo Note Added: 0024238
2020-05-24 14:02 MMP404 Note Added: 0024239
2020-05-24 14:09 MMP404 Note Added: 0024240
2020-05-24 16:48 gcamargo Note Added: 0024242
2020-07-03 05:31 paul Assigned To => paul
2020-07-03 05:31 paul Status new => resolved
2020-07-03 05:31 paul Resolution open => no change required
2020-07-20 16:48 anonymous Note Added: 0024773
2020-07-20 16:48 anonymous Status resolved => closed